Debian Bug report logs - #594288
kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)

version graph

Package: kfreebsd-8; Maintainer for kfreebsd-8 is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Wed, 25 Aug 2010 06:03:41 UTC

Severity: serious

Tags: sid, wheezy

Found in version 8.1-5

Fixed in versions kfreebsd-8/8.2-1.1, kfreebsd-8/8.2-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Wed, 25 Aug 2010 06:03:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 25 Aug 2010 06:03:44 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Wed, 25 Aug 2010 05:59:04 +0000
Package: kfreebsd-8
Version: 8.1-5
Severity: normal
User: debian-gcc@lists.debian.org
Usertags: non-standard-compiler, gcc-4.3

This package builds with a non standard compiler version; please check
if this package can be built with the default version of gcc/g++.

Please keep this report open until the package uses the default
compiler version for the package build.

The severity of this report is likely to be raised before the release.





Information stored :
Bug#594288; Package kfreebsd-8. (Thu, 26 Aug 2010 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Thu, 26 Aug 2010 19:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 594288-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Matthias Klose <doko@debian.org>, 594288-quiet@bugs.debian.org, debian-gcc@lists.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Thu, 26 Aug 2010 23:56:37 +0200 (CEST)
> This package builds with a non standard compiler version; please check
> if this package can be built with the default version of gcc/g++.
>
> Please keep this report open until the package uses the default
> compiler version for the package build.
>
> The severity of this report is likely to be raised before the release.

Really ***before*** the release ?
Currently both kernels (linux and kfreebsd) use gcc-4.3 for building ...

Petr




Information forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Fri, 10 Sep 2010 18:45:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 10 Sep 2010 18:45:12 GMT) Full text and rfc822 format available.

Message #15 received at maintonly@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Matthias Klose <doko@debian.org>, 594288-maintonly@bugs.debian.org
Cc: maintonly@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Fri, 10 Sep 2010 20:42:05 +0200
There's trouble when building the kernel with GCC 4.4. I got this
panic during boot:

Fatal trap 9: general protection fault while in kernel mode
cpuid = 0; apid id = 00
instruction pointer = 0x20:0xffffffff8094f423
stack pointer       = 0x28:0xffffffff811d18b0
frame pointer       = 0x28:0xffffffff811d18d0
code segment        = base 0x0, limit 0xfffff, type 0x1b
                    = DPL 0, pres 1, long 1, def32 0, gran 1
processor eflags    = interrupt enabled, resume, IOPL = 0
current process     = 0 (swapper)
trap number         = 9
panic: general protection fault
cpuid = 0
Uptime: 1s


On 8/25/10, Matthias Klose <doko@debian.org> wrote:
> Package: kfreebsd-8
> Version: 8.1-5
> Severity: normal
> User: debian-gcc@lists.debian.org
> Usertags: non-standard-compiler, gcc-4.3
>
> This package builds with a non standard compiler version; please check
> if this package can be built with the default version of gcc/g++.
>
> Please keep this report open until the package uses the default
> compiler version for the package build.
>
> The severity of this report is likely to be raised before the release.
>
>
>
>
> --
> To UNSUBSCRIBE, email to debian-bsd-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> Archive: http://lists.debian.org/E1Oo90q-0000Qo-RM@ravel.debian.org
>
>




Information forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Fri, 10 Sep 2010 18:45:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 10 Sep 2010 18:45:14 GMT) Full text and rfc822 format available.

Information forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Fri, 10 Sep 2010 19:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to maintainer. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Fri, 10 Sep 2010 19:21:05 GMT) Full text and rfc822 format available.

Message #25 received at 594288-maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: Tuco <tuco.xyz@gmail.com>
Cc: 594288-maintonly@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Fri, 10 Sep 2010 21:16:53 +0200
On 10.09.2010 20:42, Tuco wrote:
> There's trouble when building the kernel with GCC 4.4. I got this
> panic during boot:

thanks for checking. works 4.5 (for squeeze+1)?




Information forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Sun, 12 Sep 2010 22:30:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to maintainer. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Sep 2010 22:30:07 GMT) Full text and rfc822 format available.

Message #30 received at 594288-maintonly@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Matthias Klose <doko@debian.org>
Cc: 594288-maintonly@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 13 Sep 2010 00:27:29 +0200
On 9/10/10, Matthias Klose <doko@debian.org> wrote:
> On 10.09.2010 20:42, Tuco wrote:
>> There's trouble when building the kernel with GCC 4.4. I got this
>> panic during boot:
>
> thanks for checking. works 4.5 (for squeeze+1)?

Same problem. This could be complicated. It appears as FreeBSD
developers haven't tested with recent GCC at all (their last upgrade
was to GCC 4.2).




Information forwarded to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Sun, 12 Sep 2010 23:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Maste <emaste@freebsd.org>:
Extra info received and forwarded to maintainer. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 12 Sep 2010 23:24:02 GMT) Full text and rfc822 format available.

Message #35 received at 594288-maintonly@bugs.debian.org (full text, mbox):

From: Ed Maste <emaste@freebsd.org>
To: Tuco <tuco.xyz@gmail.com>, <594288-maintonly@bugs.debian.org>
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Sun, 12 Sep 2010 19:16:59 -0400
> Same problem. This could be complicated. It appears as FreeBSD
> developers haven't tested with recent GCC at all (their last upgrade
> was to GCC 4.2).

Yes, FreeBSD is stuck on GCC 4.2.1 for the system compiler right now, as
it is the last GPLv2 version.  In general I'd think it's beneficial for
the kFreeBSD project to use the same compiler (for building the kernel)
as the FreeBSD project does, no?

That said, I'm sure there'll be no objection to a fix for a bug that's
being exposed by a newer GCC.  Tuco, are you able to obtain a backtrace
for the panic you experienced with a GCC 4.4-compiled kernel?

Thanks,
Ed




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 13 Sep 2010 12:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 13 Sep 2010 12:51:05 GMT) Full text and rfc822 format available.

Message #40 received at 594288@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Ed Maste <emaste@freebsd.org>, 594288@bugs.debian.org
Cc: Tuco <tuco.xyz@gmail.com>
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 13 Sep 2010 14:50:25 +0200 (CEST)
> Yes, FreeBSD is stuck on GCC 4.2.1 for the system compiler right now, as
> it is the last GPLv2 version.  In general I'd think it's beneficial for
> the kFreeBSD project to use the same compiler (for building the kernel)
> as the FreeBSD project does, no?

It would be easier, but it is not possible,
as gcc-4.2 will not be shipped with squeeze release.

I did some more test. Variant with some added gcc switches
(-fno-toplevel-reorder -fno-delete-null-pointer-checks)

gcc-4.4 -c -O2 -frename-registers -pipe -fno-strict-aliasing  -std=c99 
-nostdinc  -I. -I../../.. -I../../../contrib/altq -D_KERNEL 
-DHAVE_KERNEL_OPTION_HEADERS -include opt_global.h -fno-common 
-finline-limit=8000 --param inline-unit-growth=100 --param 
large-function-growth=1000 -fno-stack-protector -fno-toplevel-reorder 
-Wstrict-overflow=5 -fno-delete-null-pointer-checks 
-fno-omit-frame-pointer -mcmodel=kernel -mno-red-zone  -mfpmath=387 
-mno-sse -mno-sse2 -mno-sse3 -mno-mmx -mno-3dnow  -msoft-float 
-fno-asynchronous-unwind-tables -ffreestanding

fails (panic in swapper) similarly also for me.

But when compiled with "-O1" it boots (and runs) fine on kfreebsd-amd64.

gcc-4.4 -c -O1 -frename-registers -pipe  -std=c99   -nostdinc  -I. 
-I../../.. -I../../../contrib/altq -D_KERNEL -DHAVE_KERNEL_OPTION_HEADERS 
-include opt_global.h -fno-common -finline-limit=8000 --param 
inline-unit-growth=100 --param large-function-growth=1000 
-fno-stack-protector -fno-toplevel-reorder -Wstrict-overflow=5 
-fno-delete-null-pointer-checks  -fno-omit-frame-pointer -mcmodel=kernel 
-mno-red-zone  -mfpmath=387 -mno-sse -mno-sse2 -mno-sse3 -mno-mmx 
-mno-3dnow  -msoft-float -fno-asynchronous-unwind-tables -ffreestanding

ii  binutils                    2.20.1-14
ii  gcc-4.4                     4.4.4-14

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 13 Sep 2010 14:48:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Maste <emaste@freebsd.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 13 Sep 2010 14:48:15 GMT) Full text and rfc822 format available.

Message #45 received at 594288@bugs.debian.org (full text, mbox):

From: Ed Maste <emaste@freebsd.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: <594288@bugs.debian.org>
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 13 Sep 2010 10:42:16 -0400
On Mon, Sep 13, 2010 at 02:50:25PM +0200, Petr Salinger wrote:

> fails (panic in swapper) similarly also for me.

Can you add the following options to the kernel config and recompile,
to help track down the problem:

# Compile with kernel debugger related code.
options         KDB
 
# Print a stack trace of the current thread on the console for a panic.
options         KDB_TRACE
  
# Enable the ddb debugger backend.
options         DDB

Thanks,
Ed




Information stored :
Bug#594288; Package kfreebsd-8. (Mon, 13 Sep 2010 17:54:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Mon, 13 Sep 2010 17:54:17 GMT) Full text and rfc822 format available.

Message #50 received at 594288-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Ed Maste <emaste@freebsd.org>, 594288-quiet@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 13 Sep 2010 19:54:10 +0200 (CEST)
> Can you add the following options to the kernel config and recompile,
> to help track down the problem:

The panic is in vsscanf().
The kfreebsd-amd64 is a real machine, I am unable to dump screen.

I tried to build kernel using gcc-4.4 on kfreebsd-i386,
it (at least 686 variant) boots fine.
I have to note that the version of tools is slightly different.

ii  binutils                                         2.20.1-12 
ii  gcc-4.4                                          4.4.4-8

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 13 Sep 2010 20:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 13 Sep 2010 20:30:06 GMT) Full text and rfc822 format available.

Message #55 received at 594288@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Ed Maste <emaste@freebsd.org>, 594288@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 13 Sep 2010 22:27:27 +0200
On 9/13/10, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
> But when compiled with "-O1" it boots (and runs) fine on kfreebsd-amd64.

From http://gcc.gnu.org/onlinedocs/gcc/Optimize-Options.html#Optimize-Options

-O2 turns on all optimization flags specified by -O. It also turns on
the following optimization flags:

          -fthread-jumps
          -falign-functions  -falign-jumps
          -falign-loops  -falign-labels
          -fcaller-saves
          -fcrossjumping
          -fcse-follow-jumps  -fcse-skip-blocks
          -fdelete-null-pointer-checks
          -fexpensive-optimizations
          -fgcse  -fgcse-lm
          -finline-small-functions
          -findirect-inlining
          -fipa-sra
          -foptimize-sibling-calls
          -fpartial-inlining
          -fpeephole2
          -fregmove
          -freorder-blocks  -freorder-functions
          -frerun-cse-after-loop
          -fsched-interblock  -fsched-spec
          -fschedule-insns  -fschedule-insns2
          -fstrict-aliasing -fstrict-overflow
          -ftree-switch-conversion
          -ftree-pre
          -ftree-vrp

so we could find the faulty one by recombining them? It is just 5
builds, I can do this if you like.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 13 Sep 2010 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tuco <tuco.xyz@gmail.com>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 13 Sep 2010 20:57:06 GMT) Full text and rfc822 format available.

Message #60 received at 594288@bugs.debian.org (full text, mbox):

From: Tuco <tuco.xyz@gmail.com>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: Ed Maste <emaste@freebsd.org>, 594288@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 13 Sep 2010 22:55:54 +0200
Btw FreeBSD handbook
(http://www.freebsd.org/doc/en/books/developers-handbook/kerneldebug.html#KERNELDEBUG-OBTAIN)
says dumpon and savecore are needed to save and restore crash dumps so
I ported them and added them to freebsd-utils in case you need them.

On 9/13/10, Tuco <tuco.xyz@gmail.com> wrote:
> On 9/13/10, Petr Salinger <Petr.Salinger@seznam.cz> wrote:
>> But when compiled with "-O1" it boots (and runs) fine on kfreebsd-amd64.
>
> From
> http://gcc.gnu.org/onlinedocs/gcc/Optimize-Options.html#Optimize-Options
>
> -O2 turns on all optimization flags specified by -O. It also turns on
> the following optimization flags:
>
>           -fthread-jumps
>           -falign-functions  -falign-jumps
>           -falign-loops  -falign-labels
>           -fcaller-saves
>           -fcrossjumping
>           -fcse-follow-jumps  -fcse-skip-blocks
>           -fdelete-null-pointer-checks
>           -fexpensive-optimizations
>           -fgcse  -fgcse-lm
>           -finline-small-functions
>           -findirect-inlining
>           -fipa-sra
>           -foptimize-sibling-calls
>           -fpartial-inlining
>           -fpeephole2
>           -fregmove
>           -freorder-blocks  -freorder-functions
>           -frerun-cse-after-loop
>           -fsched-interblock  -fsched-spec
>           -fschedule-insns  -fschedule-insns2
>           -fstrict-aliasing -fstrict-overflow
>           -ftree-switch-conversion
>           -ftree-pre
>           -ftree-vrp
>
> so we could find the faulty one by recombining them? It is just 5
> builds, I can do this if you like.
>




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 13 Sep 2010 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ed Maste <emaste@freebsd.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 13 Sep 2010 23:30:03 GMT) Full text and rfc822 format available.

Message #65 received at 594288@bugs.debian.org (full text, mbox):

From: Ed Maste <emaste@freebsd.org>
To: <594288@bugs.debian.org>
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Mon, 13 Sep 2010 19:27:24 -0400
On Mon, Sep 13, 2010 at 10:55:54PM +0200, Tuco wrote:

> Btw FreeBSD handbook
> (http://www.freebsd.org/doc/en/books/developers-handbook/kerneldebug.html#KERNELDEBUG-OBTAIN)
> says dumpon and savecore are needed to save and restore crash dumps so
> I ported them and added them to freebsd-utils in case you need them.

Note though that a kernel core dump will only work after dumpon runs,
which happens from (in FreeBSD) the /etc/rc.d/ startup scripts.  I think
this panic is happening very early on in boot, so it's actually not
going to help in this case.  Enabling the DDB option though and getting
a backtrace will be useful.

Certainly narrowing it down to a single optimization on/off will be
very helpful in tracking down the problem.

-Ed




Information stored :
Bug#594288; Package kfreebsd-8. (Tue, 14 Sep 2010 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Tue, 14 Sep 2010 10:18:05 GMT) Full text and rfc822 format available.

Message #70 received at 594288-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Tuco <tuco.xyz@gmail.com>
Cc: Ed Maste <emaste@freebsd.org>, 594288-quiet@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Tue, 14 Sep 2010 12:15:52 +0200 (CEST)
>> But when compiled with "-O1" it boots (and runs) fine on kfreebsd-amd64.

On Mon, 13 Sep 2010, Ed Maste wrote:

> Certainly narrowing it down to a single optimization on/off will be
> very helpful in tracking down the problem.

With "-O2 -fno-gcse" it also boots (and runs) fine on kfreebsd-amd64.

And yes, this panic is happening very early in the boot.

Petr




Information stored :
Bug#594288; Package kfreebsd-8. (Tue, 14 Sep 2010 12:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Tue, 14 Sep 2010 12:00:03 GMT) Full text and rfc822 format available.

Message #75 received at 594288-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Ed Maste <emaste@freebsd.org>, 594288-quiet@bugs.debian.org
Subject: Re: Bug#594288: kfreebsd-8: non-standard gcc/g++ used for build (gcc-4.3)
Date: Tue, 14 Sep 2010 13:57:15 +0200 (CEST)
> Enabling the DDB option though and getting a backtrace will be useful.

http://io.debian.net/~salinger/freebsd-gcc44bw.jpg

> Certainly narrowing it down to a single optimization on/off will be
> very helpful in tracking down the problem.

As noted previously, "-O2 -fno-gcse" is fine, plain "-O2" is not.

Petr




Information stored :
Bug#594288; Package kfreebsd-8. (Fri, 25 Feb 2011 08:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Fri, 25 Feb 2011 08:27:09 GMT) Full text and rfc822 format available.

Message #80 received at 594288-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 594288-quiet@bugs.debian.org
Subject: kfreebsd-8: non-standard gcc/g++ used for build
Date: Fri, 25 Feb 2011 09:28:02 +0100 (CET)
I built kfreebsd-8/8.2-1 for kfreebsd-amd64
using gcc-4.5/4.5.2-4 and binutils/2.21.0.20110216-2.

It panics very early in the boot, similarly as with gcc-4.4.

Petr




Information stored :
Bug#594288; Package kfreebsd-8. (Sun, 20 Mar 2011 03:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Sun, 20 Mar 2011 03:00:03 GMT) Full text and rfc822 format available.

Message #85 received at 594288-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 594288-quiet@bugs.debian.org
Subject: Re: kfreebsd-8: non-standard gcc/g++ used for build
Date: Sun, 20 Mar 2011 04:02:15 +0100 (CET)
> I built kfreebsd-8/8.2-1 for kfreebsd-amd64
> using gcc-4.5/4.5.2-4 and binutils/2.21.0.20110216-2.
>
> It panics very early in the boot, similarly as with gcc-4.4.

On the other hand, 8.2 image (DDB+KDB enabled) built by
gcc-4.6/4.6.0~rc1-1 and binutils/2.21.0.2011030
boots fine for me.

Petr




Severity set to 'serious' from 'normal' Request was from Aurelien Jarno <aurel32@debian.org> to control@bugs.debian.org. (Thu, 31 Mar 2011 13:33:30 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Sat, 02 Apr 2011 17:24:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 06 Jun 2011 14:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 06 Jun 2011 14:30:06 GMT) Full text and rfc822 format available.

Message #94 received at 594288@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 594288@bugs.debian.org
Subject: -fno-gcse
Date: Mon, 6 Jun 2011 16:27:44 +0200
Hi,

Do I understand correctly that switching to gcc-4.4 and adding -fno-gcse to
CFLAGS is the proper solution?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 06 Jun 2011 14:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 06 Jun 2011 14:45:03 GMT) Full text and rfc822 format available.

Message #99 received at 594288@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Robert Millan <rmh@debian.org>, 594288@bugs.debian.org
Subject: Re: Bug#594288: -fno-gcse
Date: Mon, 6 Jun 2011 16:46:59 +0200 (CEST)
> Do I understand correctly that switching to gcc-4.4 and adding -fno-gcse to
> CFLAGS is the proper solution?

Switching to gcc-4.6 and no changes to CFLAGS.
But have to be tested widely.

Petr





Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#594288; Package kfreebsd-8. (Mon, 06 Jun 2011 17:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 06 Jun 2011 17:09:06 GMT) Full text and rfc822 format available.

Message #104 received at 594288@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Petr Salinger <Petr.Salinger@seznam.cz>, 594288@bugs.debian.org
Subject: Re: Bug#594288: -fno-gcse
Date: Mon, 6 Jun 2011 19:05:38 +0200
2011/6/6 Petr Salinger <Petr.Salinger@seznam.cz>:
>> Do I understand correctly that switching to gcc-4.4 and adding -fno-gcse
>> to
>> CFLAGS is the proper solution?
>
> Switching to gcc-4.6 and no changes to CFLAGS.
> But have to be tested widely.

How about uploading that to experimental?

-- 
Robert Millan




Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Tue, 07 Jun 2011 15:36:07 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Tue, 07 Jun 2011 15:36:07 GMT) Full text and rfc822 format available.

Message #109 received at 594288-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 594288-close@bugs.debian.org
Subject: Bug#594288: fixed in kfreebsd-8 8.2-1.1
Date: Tue, 07 Jun 2011 15:33:20 +0000
Source: kfreebsd-8
Source-Version: 8.2-1.1

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-1.1.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-1.1.debian.tar.gz
kfreebsd-8_8.2-1.1.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-1.1.dsc
kfreebsd-headers-8-amd64_8.2-1.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-1.1_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-1.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-1.1_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-1.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-1.1_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-1.1_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594288@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Jun 2011 16:11:12 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-1.1
Distribution: experimental
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 594288
Changes: 
 kfreebsd-8 (8.2-1.1) experimental; urgency=low
 .
   * Non-maintainer upload.
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
 .
   [ Robert Millan ]
   * Add lintian override for "embedded-library" (zlib.ko).
   * Automatically propagate GCC version dependency to debian/control.
   * Build by GCC 4.6.  (Closes: #594288).
Checksums-Sha1: 
 6bdbc79316444db53f54e1dac26533ad1c444d90 2067 kfreebsd-8_8.2-1.1.dsc
 a0a29e9c8c218d3bfe308ff88d750ddd92a662ac 88804 kfreebsd-8_8.2-1.1.debian.tar.gz
 34db3216b5e4806a7e336d840d7a63969930cd78 18545996 kfreebsd-source-8.2_8.2-1.1_all.deb
 9fa6bf9718c91a4afbc73172238cb3a0e349c283 7308394 kfreebsd-headers-8.2-1_8.2-1.1_kfreebsd-amd64.deb
 17153947d730f6614f1c13fa77b4499095626727 11011560 kfreebsd-image-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
 a0f7197029fbd47fb07a7ff68758ae292fa97023 47922 kfreebsd-image-8-amd64_8.2-1.1_kfreebsd-amd64.deb
 93ef05ae0d2e97455e35982486177bd4b6407342 325392 kfreebsd-headers-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
 afab89aa7a22a5bc03f3eef52bc486484be343d3 47922 kfreebsd-headers-8-amd64_8.2-1.1_kfreebsd-amd64.deb
Checksums-Sha256: 
 3904d2453c5d98b875d8b43e6c86d5e48fcf8d862b39735ada3748a3c8d604f5 2067 kfreebsd-8_8.2-1.1.dsc
 ef8a81333d2e899d55895d0a6a1ecd59af80551ce3d1d0ca7aa56b6bf36aa944 88804 kfreebsd-8_8.2-1.1.debian.tar.gz
 eea41dc4ffbda6910506a15707265de472102e11cfd24b3281b413f6f25760ed 18545996 kfreebsd-source-8.2_8.2-1.1_all.deb
 8115eb5064ae2c975ea3d2ad8ee722052924124ce8eebdaa325898162a4d7c58 7308394 kfreebsd-headers-8.2-1_8.2-1.1_kfreebsd-amd64.deb
 947c930c78491c6aa0fa74e92714d9bf4e4b2bb53dd8deb05729cec28f326e23 11011560 kfreebsd-image-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
 0ddacc4e0b52658176efbe3295ce494be15e2dce1351941b40ce510498845e26 47922 kfreebsd-image-8-amd64_8.2-1.1_kfreebsd-amd64.deb
 dc2735c816acd262a76d4cbc710fbf43175d123c53a8093600818adc238e339a 325392 kfreebsd-headers-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
 b75908673e60c099214467351e8ebf09f1398e829fd2e9665f375ea75da80896 47922 kfreebsd-headers-8-amd64_8.2-1.1_kfreebsd-amd64.deb
Files: 
 12070ad85afe2820972c28a573d080e6 2067 kernel optional kfreebsd-8_8.2-1.1.dsc
 b8818a5dfe25f589f34e35d131b4a3d0 88804 kernel optional kfreebsd-8_8.2-1.1.debian.tar.gz
 1192f9bc82d55552f8b8d800f2bd8d53 18545996 kernel optional kfreebsd-source-8.2_8.2-1.1_all.deb
 a27f2065d9ddfe62b3dab4aa8897dd07 7308394 kernel optional kfreebsd-headers-8.2-1_8.2-1.1_kfreebsd-amd64.deb
 4c075e7c6df65e0a44ea2224f4eb0c92 11011560 kernel optional kfreebsd-image-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
 cdb6279c899ce109fa1766c98d559b57 47922 kernel optional kfreebsd-image-8-amd64_8.2-1.1_kfreebsd-amd64.deb
 6b9d2e5bf9ee406634986a97b0a1ff87 325392 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-1.1_kfreebsd-amd64.deb
 5cf0af30c2d0f695e45447d43e7bb66f 47922 kernel optional kfreebsd-headers-8-amd64_8.2-1.1_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/kFreeBSD)

iEYEARECAAYFAk3uPfsACgkQC19io6rUCv+YTwCdH2HD2/JuZVFP9xjMUKpo8UPU
4T4An3JWg9DJRukjn8jXXOLH326df392
=3Y5d
-----END PGP SIGNATURE-----





Reply sent to Robert Millan <rmh@debian.org>:
You have taken responsibility. (Fri, 17 Jun 2011 15:21:11 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Fri, 17 Jun 2011 15:21:11 GMT) Full text and rfc822 format available.

Message #114 received at 594288-close@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: 594288-close@bugs.debian.org
Subject: Bug#594288: fixed in kfreebsd-8 8.2-2
Date: Fri, 17 Jun 2011 15:19:48 +0000
Source: kfreebsd-8
Source-Version: 8.2-2

We believe that the bug you reported is fixed in the latest version of
kfreebsd-8, which is due to be installed in the Debian FTP archive:

kfreebsd-8_8.2-2.debian.tar.gz
  to main/k/kfreebsd-8/kfreebsd-8_8.2-2.debian.tar.gz
kfreebsd-8_8.2-2.dsc
  to main/k/kfreebsd-8/kfreebsd-8_8.2-2.dsc
kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
  to main/k/kfreebsd-8/kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
kfreebsd-source-8.2_8.2-2_all.deb
  to main/k/kfreebsd-8/kfreebsd-source-8.2_8.2-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 594288@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Millan <rmh@debian.org> (supplier of updated kfreebsd-8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 17 Jun 2011 15:35:49 +0200
Source: kfreebsd-8
Binary: kfreebsd-source-8.2 kfreebsd-headers-8.2-1 kfreebsd-image-8.2-1-amd64 kfreebsd-image-8-amd64 kfreebsd-headers-8.2-1-amd64 kfreebsd-headers-8-amd64 kfreebsd-image-8.2-1-486 kfreebsd-image-8-486 kfreebsd-headers-8.2-1-486 kfreebsd-headers-8-486 kfreebsd-image-8.2-1-686 kfreebsd-image-8-686 kfreebsd-headers-8.2-1-686 kfreebsd-headers-8-686 kfreebsd-image-8.2-1-686-smp kfreebsd-image-8-686-smp kfreebsd-headers-8.2-1-686-smp kfreebsd-headers-8-686-smp kfreebsd-image-8.2-1-xen kfreebsd-image-8-xen kfreebsd-headers-8.2-1-xen kfreebsd-headers-8-xen kfreebsd-image-8.2-1-malta kfreebsd-image-8-malta kfreebsd-headers-8.2-1-malta kfreebsd-headers-8-malta
Architecture: source all kfreebsd-amd64
Version: 8.2-2
Distribution: unstable
Urgency: low
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Changed-By: Robert Millan <rmh@debian.org>
Description: 
 kfreebsd-headers-8-486 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-686-smp - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-amd64 - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-malta - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8-xen - header files for kernel of FreeBSD 8 (meta-package)
 kfreebsd-headers-8.2-1 - Common architecture-specific header files for kernel of FreeBSD 8
 kfreebsd-headers-8.2-1-486 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-686-smp - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-amd64 - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-malta - header files for kernel of FreeBSD 8.2
 kfreebsd-headers-8.2-1-xen - header files for kernel of FreeBSD 8.2
 kfreebsd-image-8-486 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-686-smp - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-amd64 - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-malta - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8-xen - kernel of FreeBSD 8 image (meta-package)
 kfreebsd-image-8.2-1-486 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-686-smp - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-amd64 - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-malta - kernel of FreeBSD 8.2 image
 kfreebsd-image-8.2-1-xen - kernel of FreeBSD 8.2 image
 kfreebsd-source-8.2 - source code for kernel of FreeBSD 8.2 with Debian patches
Closes: 594288 628954 630104 630509
Changes: 
 kfreebsd-8 (8.2-2) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Now using Standards-Version 3.9.2 (no changes needed).
   * Switch to source format “3.0 (quilt)”.
     - Remove quilt from Build-Depends.
     - Remove patch target in debian/rules.
     - Remove now unneeded README.source.
     - Refresh all patches.
 .
   [ Robert Millan ]
   * Add lintian override for "embedded-library" (zlib.ko).
   * Automatically propagate GCC version dependency to debian/control.
   * Add "(meta-package)" to Description of meta-packages to make lintian happy.
   * Add myself to Uploaders
   * Build by GCC 4.6.  (Closes: #594288)
   * Add conf/kern.mk, conf/kmod.mk, kern/vnode_if.src, and
     tools/vnode_if.awk to kfreebsd-headers-8.2-1.  (Closes: #630509)
   * Merge backported if_msk driver from HEAD.  (Closes: #628954)
     - 000_msk_backport_from_HEAD.diff
 .
   [ Petr Salinger ]
   * Add 111_linprocfs_kthread.diff. Closes: #630104.
Checksums-Sha1: 
 2ebebb42ab9843a4412f96b2fcdd62baee5ffea1 2091 kfreebsd-8_8.2-2.dsc
 801b930ac4094fe9aeee9033c90757933a2aa96b 97505 kfreebsd-8_8.2-2.debian.tar.gz
 002ff689eb59b4df9388e426d6c2b672b56abdc5 18672836 kfreebsd-source-8.2_8.2-2_all.deb
 b0807aa002a98f50f24e5f2358232d25808b2438 7320796 kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
 48ff04871c2f380084ee129caff01c3cce962f62 11017246 kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 db675f17255ceb482aa698db0ec5279d4536cf70 48070 kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
 1e76f6bdda0e099030f69e67d0c9d9f6a85eaac8 324514 kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 b2dcc7609e7f1e3f134f8eacc9ae14c1a5370ec3 48096 kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
Checksums-Sha256: 
 4c7c9daeaac1efae2738de3f05a48dbb5a12d5a6dc10caedf74e1340367a4480 2091 kfreebsd-8_8.2-2.dsc
 3bde5fdd25660b14dcc29ad640bdf8f21ecfa4e1c920a568d92053e92d83debe 97505 kfreebsd-8_8.2-2.debian.tar.gz
 fd7523734e0a3f1a854d4734d85bd508643b43bb4eea2fbaa7175a88440d1b94 18672836 kfreebsd-source-8.2_8.2-2_all.deb
 8e56d261e5125bec1e4e2a0ce24d1a4c9efb3efd32c13bab3d37c420f140c0f2 7320796 kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
 68ab4870e99113b9c5ad05aa3ad7dedd46f876c17ee9cdb46fc8a729fe410448 11017246 kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 17a702017de662d138de841ad747156e7fe84f4fadaddd404d6b495464b1db25 48070 kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
 ad442a2fd991a986160eecaa5b4cf7bc3ae8b7926f33e1aa458b8bb81f038c11 324514 kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 37887775f0b7883895748a6b32912ea1f7a4a33bc402299e7749ebef796d918f 48096 kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb
Files: 
 fd982495dcebb69c158a78a6d2ae494e 2091 kernel optional kfreebsd-8_8.2-2.dsc
 4d76934988e406e314473fd3b7171e09 97505 kernel optional kfreebsd-8_8.2-2.debian.tar.gz
 349c9b158128807787eb373af92540c6 18672836 kernel optional kfreebsd-source-8.2_8.2-2_all.deb
 dd09cc45670cb1751a665602939fa547 7320796 kernel optional kfreebsd-headers-8.2-1_8.2-2_kfreebsd-amd64.deb
 62268a05f13eda7496981987aca7a6be 11017246 kernel optional kfreebsd-image-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 99619abca895ff671cd3ee3cadc44410 48070 kernel optional kfreebsd-image-8-amd64_8.2-2_kfreebsd-amd64.deb
 d24bc956db5dba91df6076ef2bd96fc6 324514 kernel optional kfreebsd-headers-8.2-1-amd64_8.2-2_kfreebsd-amd64.deb
 ffd6b037e91e87dd6538ce46caba3637 48096 kernel optional kfreebsd-headers-8-amd64_8.2-2_kfreebsd-amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/kFreeBSD)

iEYEARECAAYFAk37ZXYACgkQC19io6rUCv8lNgCePpnpbm49vB4LsI2oUrlpV1tX
tM0An2nR6JAdwdm3eBjVyjxC4ZF2re2J
=HKZG
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 24 Mar 2012 07:42:04 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 21:08:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.